### Callable

- mkdtemp(prefix: string, options: object | BufferEncoding | undefined | null, callback: function): void
- mkdtemp(prefix: string, options: "buffer" | object, callback: function): void
- mkdtemp(prefix: string, options: object | string | undefined | null, callback: function): void
- mkdtemp(prefix: string, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:742

  Asynchronously creates a unique temporary directory. Generates six random characters to be appended behind a required prefix to create a unique temporary directory.

  #### Parameters

  - ##### prefix: string

  - ##### options: object | BufferEncoding | undefined | null

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  - ##### callback: function

    - - (err: ErrnoException, folder: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### folder: string

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:749

  Asynchronously creates a unique temporary directory. Generates six random characters to be appended behind a required prefix to create a unique temporary directory.

  #### Parameters

  - ##### prefix: string

  - ##### options: "buffer" | object

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  - ##### callback: function

    - - (err: ErrnoException, folder: Buffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### folder: Buffer

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:756

  Asynchronously creates a unique temporary directory. Generates six random characters to be appended behind a required prefix to create a unique temporary directory.

  #### Parameters

  - ##### prefix: string

  - ##### options: object | string | undefined | null

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  - ##### callback: function

    - - (err: ErrnoException, folder: string | Buffer): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### folder: string | Buffer

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:762

  Asynchronously creates a unique temporary directory. Generates six random characters to be appended behind a required prefix to create a unique temporary directory.

  #### Parameters

  - ##### prefix: string

  - ##### callback: function

    - - (err: ErrnoException, folder: string): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### folder: string

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(prefix: string, options?: object | BufferEncoding | null): Promise<string>
- __promisify__(prefix: string, options: object | "buffer"): Promise<Buffer>
- __promisify__(prefix: string, options?: object | string | null): Promise<string | Buffer>

- - Defined in node_modules/@types/node/fs.d.ts:771

  Asynchronously creates a unique temporary directory. Generates six random characters to be appended behind a required prefix to create a unique temporary directory.

  #### Parameters

  - ##### prefix: string

  - ##### Optional options: object | BufferEncoding | null

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  #### Returns Promise<string>

- - Defined in node_modules/@types/node/fs.d.ts:778

  Asynchronously creates a unique temporary directory. Generates six random characters to be appended behind a required prefix to create a unique temporary directory.

  #### Parameters

  - ##### prefix: string

  - ##### options: object | "buffer"

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  #### Returns Promise<Buffer>

- - Defined in node_modules/@types/node/fs.d.ts:785

  Asynchronously creates a unique temporary directory. Generates six random characters to be appended behind a required prefix to create a unique temporary directory.

  #### Parameters

  - ##### prefix: string

  - ##### Optional options: object | string | null

    The encoding (or an object specifying the encoding), used as the encoding of the result. If not provided, `'utf8'` is used.

  #### Returns Promise<string | Buffer>

Generated using TypeDoc